/*
 * WebApiSegura Token JWT XrmAPI
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * CArchivoCheckList
 */

public class CArchivoCheckList {
  @SerializedName("consecutivo")
  private Integer consecutivo = null;

  @SerializedName("cf_name")
  private String cfName = null;

  @SerializedName("cf_nombre_archivo")
  private String cfNombreArchivo = null;

  @SerializedName("cf_orden")
  private Integer cfOrden = null;

  @SerializedName("cf_comentario_rechazo")
  private String cfComentarioRechazo = null;

  @SerializedName("cf_original_correcto_b")
  private String cfOriginalCorrectoB = null;

  @SerializedName("cf_digital_correcto_b")
  private String cfDigitalCorrectoB = null;

  @SerializedName("ruta_archivos")
  private List<String> rutaArchivos = null;

  @SerializedName("url_archivos")
  private List<String> urlArchivos = null;

  @SerializedName("extensiones_archivos")
  private List<String> extensionesArchivos = null;

  @SerializedName("createdon")
  private String createdon = null;

  @SerializedName("modified")
  private String modified = null;

  public CArchivoCheckList consecutivo(Integer consecutivo) {
    this.consecutivo = consecutivo;
    return this;
  }

   /**
   * Get consecutivo
   * @return consecutivo
  **/
  @ApiModelProperty(value = "")
  public Integer getConsecutivo() {
    return consecutivo;
  }

  public void setConsecutivo(Integer consecutivo) {
    this.consecutivo = consecutivo;
  }

  public CArchivoCheckList cfName(String cfName) {
    this.cfName = cfName;
    return this;
  }

   /**
   * Get cfName
   * @return cfName
  **/
  @ApiModelProperty(value = "")
  public String getCfName() {
    return cfName;
  }

  public void setCfName(String cfName) {
    this.cfName = cfName;
  }

  public CArchivoCheckList cfNombreArchivo(String cfNombreArchivo) {
    this.cfNombreArchivo = cfNombreArchivo;
    return this;
  }

   /**
   * Get cfNombreArchivo
   * @return cfNombreArchivo
  **/
  @ApiModelProperty(value = "")
  public String getCfNombreArchivo() {
    return cfNombreArchivo;
  }

  public void setCfNombreArchivo(String cfNombreArchivo) {
    this.cfNombreArchivo = cfNombreArchivo;
  }

  public CArchivoCheckList cfOrden(Integer cfOrden) {
    this.cfOrden = cfOrden;
    return this;
  }

   /**
   * Get cfOrden
   * @return cfOrden
  **/
  @ApiModelProperty(value = "")
  public Integer getCfOrden() {
    return cfOrden;
  }

  public void setCfOrden(Integer cfOrden) {
    this.cfOrden = cfOrden;
  }

  public CArchivoCheckList cfComentarioRechazo(String cfComentarioRechazo) {
    this.cfComentarioRechazo = cfComentarioRechazo;
    return this;
  }

   /**
   * Get cfComentarioRechazo
   * @return cfComentarioRechazo
  **/
  @ApiModelProperty(value = "")
  public String getCfComentarioRechazo() {
    return cfComentarioRechazo;
  }

  public void setCfComentarioRechazo(String cfComentarioRechazo) {
    this.cfComentarioRechazo = cfComentarioRechazo;
  }

  public CArchivoCheckList cfOriginalCorrectoB(String cfOriginalCorrectoB) {
    this.cfOriginalCorrectoB = cfOriginalCorrectoB;
    return this;
  }

   /**
   * Get cfOriginalCorrectoB
   * @return cfOriginalCorrectoB
  **/
  @ApiModelProperty(value = "")
  public String getCfOriginalCorrectoB() {
    return cfOriginalCorrectoB;
  }

  public void setCfOriginalCorrectoB(String cfOriginalCorrectoB) {
    this.cfOriginalCorrectoB = cfOriginalCorrectoB;
  }

  public CArchivoCheckList cfDigitalCorrectoB(String cfDigitalCorrectoB) {
    this.cfDigitalCorrectoB = cfDigitalCorrectoB;
    return this;
  }

   /**
   * Get cfDigitalCorrectoB
   * @return cfDigitalCorrectoB
  **/
  @ApiModelProperty(value = "")
  public String getCfDigitalCorrectoB() {
    return cfDigitalCorrectoB;
  }

  public void setCfDigitalCorrectoB(String cfDigitalCorrectoB) {
    this.cfDigitalCorrectoB = cfDigitalCorrectoB;
  }

  public CArchivoCheckList rutaArchivos(List<String> rutaArchivos) {
    this.rutaArchivos = rutaArchivos;
    return this;
  }

  public CArchivoCheckList addRutaArchivosItem(String rutaArchivosItem) {
    if (this.rutaArchivos == null) {
      this.rutaArchivos = new ArrayList<>();
    }
    this.rutaArchivos.add(rutaArchivosItem);
    return this;
  }

   /**
   * Get rutaArchivos
   * @return rutaArchivos
  **/
  @ApiModelProperty(value = "")
  public List<String> getRutaArchivos() {
    return rutaArchivos;
  }

  public void setRutaArchivos(List<String> rutaArchivos) {
    this.rutaArchivos = rutaArchivos;
  }

  public CArchivoCheckList urlArchivos(List<String> urlArchivos) {
    this.urlArchivos = urlArchivos;
    return this;
  }

  public CArchivoCheckList addUrlArchivosItem(String urlArchivosItem) {
    if (this.urlArchivos == null) {
      this.urlArchivos = new ArrayList<>();
    }
    this.urlArchivos.add(urlArchivosItem);
    return this;
  }

   /**
   * Get urlArchivos
   * @return urlArchivos
  **/
  @ApiModelProperty(value = "")
  public List<String> getUrlArchivos() {
    return urlArchivos;
  }

  public void setUrlArchivos(List<String> urlArchivos) {
    this.urlArchivos = urlArchivos;
  }

  public CArchivoCheckList extensionesArchivos(List<String> extensionesArchivos) {
    this.extensionesArchivos = extensionesArchivos;
    return this;
  }

  public CArchivoCheckList addExtensionesArchivosItem(String extensionesArchivosItem) {
    if (this.extensionesArchivos == null) {
      this.extensionesArchivos = new ArrayList<>();
    }
    this.extensionesArchivos.add(extensionesArchivosItem);
    return this;
  }

   /**
   * Get extensionesArchivos
   * @return extensionesArchivos
  **/
  @ApiModelProperty(value = "")
  public List<String> getExtensionesArchivos() {
    return extensionesArchivos;
  }

  public void setExtensionesArchivos(List<String> extensionesArchivos) {
    this.extensionesArchivos = extensionesArchivos;
  }

  public CArchivoCheckList createdon(String createdon) {
    this.createdon = createdon;
    return this;
  }

   /**
   * Get createdon
   * @return createdon
  **/
  @ApiModelProperty(value = "")
  public String getCreatedon() {
    return createdon;
  }

  public void setCreatedon(String createdon) {
    this.createdon = createdon;
  }

  public CArchivoCheckList modified(String modified) {
    this.modified = modified;
    return this;
  }

   /**
   * Get modified
   * @return modified
  **/
  @ApiModelProperty(value = "")
  public String getModified() {
    return modified;
  }

  public void setModified(String modified) {
    this.modified = modified;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CArchivoCheckList cArchivoCheckList = (CArchivoCheckList) o;
    return Objects.equals(this.consecutivo, cArchivoCheckList.consecutivo) &&
        Objects.equals(this.cfName, cArchivoCheckList.cfName) &&
        Objects.equals(this.cfNombreArchivo, cArchivoCheckList.cfNombreArchivo) &&
        Objects.equals(this.cfOrden, cArchivoCheckList.cfOrden) &&
        Objects.equals(this.cfComentarioRechazo, cArchivoCheckList.cfComentarioRechazo) &&
        Objects.equals(this.cfOriginalCorrectoB, cArchivoCheckList.cfOriginalCorrectoB) &&
        Objects.equals(this.cfDigitalCorrectoB, cArchivoCheckList.cfDigitalCorrectoB) &&
        Objects.equals(this.rutaArchivos, cArchivoCheckList.rutaArchivos) &&
        Objects.equals(this.urlArchivos, cArchivoCheckList.urlArchivos) &&
        Objects.equals(this.extensionesArchivos, cArchivoCheckList.extensionesArchivos) &&
        Objects.equals(this.createdon, cArchivoCheckList.createdon) &&
        Objects.equals(this.modified, cArchivoCheckList.modified);
  }

  @Override
  public int hashCode() {
    return Objects.hash(consecutivo, cfName, cfNombreArchivo, cfOrden, cfComentarioRechazo, cfOriginalCorrectoB, cfDigitalCorrectoB, rutaArchivos, urlArchivos, extensionesArchivos, createdon, modified);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CArchivoCheckList {\n");
    
    sb.append("    consecutivo: ").append(toIndentedString(consecutivo)).append("\n");
    sb.append("    cfName: ").append(toIndentedString(cfName)).append("\n");
    sb.append("    cfNombreArchivo: ").append(toIndentedString(cfNombreArchivo)).append("\n");
    sb.append("    cfOrden: ").append(toIndentedString(cfOrden)).append("\n");
    sb.append("    cfComentarioRechazo: ").append(toIndentedString(cfComentarioRechazo)).append("\n");
    sb.append("    cfOriginalCorrectoB: ").append(toIndentedString(cfOriginalCorrectoB)).append("\n");
    sb.append("    cfDigitalCorrectoB: ").append(toIndentedString(cfDigitalCorrectoB)).append("\n");
    sb.append("    rutaArchivos: ").append(toIndentedString(rutaArchivos)).append("\n");
    sb.append("    urlArchivos: ").append(toIndentedString(urlArchivos)).append("\n");
    sb.append("    extensionesArchivos: ").append(toIndentedString(extensionesArchivos)).append("\n");
    sb.append("    createdon: ").append(toIndentedString(createdon)).append("\n");
    sb.append("    modified: ").append(toIndentedString(modified)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

